body {
  margin: auto;
  font-family: sans-serif;
  width: 350px;
  margin: 0 auto;
  overflow-y: auto;
  scroll-behavior: smooth;
}
.container {
  display: flex;
  flex-direction: column;
}

input[type="text"] {
  width: 100%;
  padding: 8px;
  margin-bottom: 10px;
  box-sizing: border-box;
}
#scrollTable {
  overflow-y: auto;
  min-height: 500px;
  max-height: 500px;
  position: relative;
  border: 1px solid red;
  width: 100%;
}

#scrollTable-g {
  overflow-y: auto;
  min-height: 300px;
  max-height: 300px;
  position: relative;
  border: 1px solid red;
  width: 100%;
}

table {
  width: 100%;
  border-collapse: collapse;
  font-size: 14px;
}

th,
td {
  padding: 6px;
  border-bottom: 1px solid #ccc;
  text-align: left;
}

tr.hidden {
  display: none;
}

tr.highlight {
  background-color: #ffff99;
  transition: background-color 1s ease;
}
